[Dell XPS 15 9575] Occasionally fails to suspend and locks up instead

Bug #1823029 reported by Joe Barnett
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned

Bug Description

Sometimes when suspending, the suspend process fails, and the machine becomes unresponsive to any input, has nothing but a black/off display, and fans kick in and run high (which is actually 'good' for detecting the issue has happened).

journalctl output from an unsuccessful suspend:

Apr 02 13:39:54 taplop systemd-logind[1067]: Suspending...
Apr 02 13:39:54 taplop NetworkManager[4083]: <info> [1554237594.5332] manager: sleep: sleep requested (sleeping: no en
Apr 02 13:39:54 taplop NetworkManager[4083]: <info> [1554237594.5333] device (40:4E:36:47:ED:D1): state change: disconn
Apr 02 13:39:54 taplop NetworkManager[4083]: <info> [1554237594.5358] manager: NetworkManager state is now ASLEEP
Apr 02 13:39:54 taplop whoopsie[1779]: [13:39:54] offline
Apr 02 13:39:55 taplop gnome-shell[5521]: Failed to flip onscreen: Tried to flip inactive CRTC
Apr 02 13:39:56 taplop kernel: [drm] PCIE GART of 256M enabled (table at 0x000000F400000000).
Apr 02 13:39:56 taplop kernel: [drm] UVD and UVD ENC initialized successfully.
Apr 02 13:39:56 taplop kernel: [drm] VCE initialized successfully.
Apr 02 13:39:57 taplop systemd[1]: Starting TLP suspend/resume...
Apr 02 13:39:57 taplop systemd[1]: Started TLP suspend/resume.
Apr 02 13:39:57 taplop systemd[1]: Reached target Sleep.
Apr 02 13:39:57 taplop systemd[1]: Starting Suspend...
Apr 02 13:39:57 taplop NetworkManager[4083]: <info> [1554237597.9078] caught SIGTERM, shutting down normally.
Apr 02 13:39:57 taplop systemd[1]: Stopping Network Manager...
Apr 02 13:39:57 taplop gnome-shell[5521]: Removing a network device that was not added
Apr 02 13:39:57 taplop NetworkManager[4083]: <info> [1554237597.9485] dhcp4 (wlp2s0): canceled DHCP transaction, DHCP c
Apr 02 13:39:57 taplop NetworkManager[4083]: <info> [1554237597.9486] dhcp4 (wlp2s0): state changed bound -> done
Apr 02 13:39:57 taplop NetworkManager[4083]: <info> [1554237597.9486] device (wlp2s0): DHCPv4: 480 seconds grace period
Apr 02 13:39:57 taplop NetworkManager[4083]: <info> [1554237597.9570] exiting (success)
Apr 02 13:39:57 taplop gnome-shell[5521]: JS WARNING: [resource:///org/gnome/shell/ui/status/network.js 1187]: reference
Apr 02 13:39:57 taplop systemd[1]: NetworkManager.service: Succeeded.
Apr 02 13:39:57 taplop systemd[1]: Stopped Network Manager.
Apr 02 13:39:57 taplop gnome-shell[5521]: Object NM.ActiveConnection (0x55d340e8f5a0), has been already deallocated — im
Apr 02 13:39:57 taplop org.gnome.Shell.desktop[5521]: == Stack trace for context 0x55d34160e1e0 ==
Apr 02 13:39:57 taplop org.gnome.Shell.desktop[5521]: #0 55d345364700 i resource:///org/gnome/shell/ui/status/networ
Apr 02 13:39:57 taplop org.gnome.Shell.desktop[5521]: #1 55d345364680 i resource:///org/gnome/shell/ui/status/networ
Apr 02 13:39:57 taplop org.gnome.Shell.desktop[5521]: #2 7ffe97451d00 b self-hosted:979 (7fc3d4350a60 @ 440)
Apr 02 13:39:58 taplop gnome-shell[5521]: Failed to flip onscreen: Tried to flip inactive CRTC
Apr 02 13:39:58 taplop kernel: wlp2s0: deauthenticating from f0:9f:c2:6e:e1:aa by local choice (Reason: 3=DEAUTH_LEAVING
Apr 02 13:39:58 taplop wpa_supplicant[1069]: wlp2s0: CTRL-EVENT-DISCONNECTED bssid=f0:9f:c2:6e:e1:aa reason=3 locally_ge
Apr 02 13:39:58 taplop gnome-shell[5521]: Failed to flip onscreen: Tried to flip inactive CRTC
Apr 02 13:39:58 taplop avahi-daemon[1068]: Interface wlp2s0.IPv6 no longer relevant for mDNS.
Apr 02 13:39:58 taplop avahi-daemon[1068]: Leaving mDNS multicast group on interface wlp2s0.IPv6 with address fe80::1c45
Apr 02 13:39:58 taplop whoopsie[1779]: [13:39:58] Cannot reach: https://daisy.ubuntu.com
Apr 02 13:39:58 taplop whoopsie[1779]: [13:39:58] Cannot reach: https://daisy.ubuntu.com
Apr 02 13:39:58 taplop avahi-daemon[1068]: Interface wlp2s0.IPv4 no longer relevant for mDNS.
Apr 02 13:39:58 taplop avahi-daemon[1068]: Leaving mDNS multicast group on interface wlp2s0.IPv4 with address 10.30.2.26
Apr 02 13:39:58 taplop avahi-daemon[1068]: Withdrawing address record for fe80::1c45:b634:dc94:8f5f on wlp2s0.
Apr 02 13:39:58 taplop avahi-daemon[1068]: Withdrawing address record for 10.30.2.26 on wlp2s0.
Apr 02 13:39:58 taplop wpa_supplicant[1069]: nl80211: deinit ifname=p2p-dev-wlp2s0 disabled_11b_rates=0
Apr 02 13:39:58 taplop wpa_supplicant[1069]: Could not read interface p2p-dev-wlp2s0 flags: No such device
Apr 02 13:39:58 taplop systemd-sleep[9790]: Suspending system...
Apr 02 13:39:58 taplop kernel: PM: suspend entry (deep)
Apr 02 13:39:59 taplop kernel: PM: Syncing filesystems ... done.
Apr 02 13:39:59 taplop kernel: Freezing user space processes ... (elapsed 0.003 seconds) done.
Apr 02 13:39:59 taplop kernel: OOM killer disabled.
Apr 02 13:39:59 taplop kernel: Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
Apr 02 13:39:59 taplop kernel: printk: Suspending console(s) (use no_console_suspend to debug)
Apr 02 13:39:59 taplop kernel: pci_pm_suspend(): hcd_pci_suspend+0x0/0x30 returns -16
Apr 02 13:39:59 taplop kernel: dpm_run_callback(): pci_pm_suspend+0x0/0x130 returns -16
Apr 02 13:39:59 taplop kernel: PM: Device 0000:00:14.0 failed to suspend async: error -16
Apr 02 13:39:59 taplop kernel: PM: Some devices failed to suspend, or early wake event detected
Apr 02 13:39:59 taplop kernel: [drm] PCIE GART of 256M enabled (table at 0x000000F400000000).
Apr 02 13:39:59 taplop kernel: [drm] UVD and UVD ENC initialized successfully.
Apr 02 13:39:59 taplop kernel: nvme nvme0: 8/0/0 default/read/poll queues
Apr 02 13:39:59 taplop kernel: [drm] VCE initialized successfully.
Apr 02 13:39:59 taplop kernel: OOM killer enabled.
Apr 02 13:39:59 taplop kernel: Restarting tasks ... done.

lspci shows that 00:14.0 is:

00:14.0 USB controller: Intel Corporation 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller (rev 31) (prog-if 30 [XHCI])
 Subsystem: Dell 100 Series/C230 Series Chipset Family USB 3.0 xHCI Controller
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 0
 Interrupt: pin A routed to IRQ 122
 Region 0: Memory at ec500000 (64-bit, non-prefetchable) [size=64K]
 Capabilities: [70] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=375mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
  Status: D0 NoSoftRst+ PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [80] MSI: Enable+ Count=1/8 Maskable- 64bit+
  Address: 00000000fee00258 Data: 0000
 Kernel driver in use: xhci_hcd

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: linux-image-5.0.0-8-generic 5.0.0-8.9
ProcVersionSignature: Ubuntu 5.0.0-8.9-generic 5.0.1
Uname: Linux 5.0.0-8-generic x86_64
ApportVersion: 2.20.10-0ubuntu23
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: jbarnett 2514 F.... pulseaudio
CurrentDesktop: GNOME
Date: Wed Apr 3 07:38:56 2019
HibernationDevice:
 RESUME=UUID=5f1c6062-a7a8-4a12-8ac6-df9155e52106
 #RESUME=UUID=3362a8d7-7697-40cf-8939-66efa61485fe
InstallationDate: Installed on 2018-09-26 (189 days ago)
InstallationMedia: Ubuntu 18.04.1 LTS "Bionic Beaver" - Release amd64 (20180725)
MachineType: Dell Inc. XPS 15 9575
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-5.0.0-8-generic root=/dev/mapper/ubuntu--vg-root ro quiet splash vt.handoff=1
RelatedPackageVersions:
 linux-restricted-modules-5.0.0-8-generic N/A
 linux-backports-modules-5.0.0-8-generic N/A
 linux-firmware 1.178
SourcePackage: linux
UpgradeStatus: Upgraded to disco on 2019-03-11 (22 days ago)
dmi.bios.date: 02/21/2019
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 1.4.0
dmi.board.name: 0N338G
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 31
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr1.4.0:bd02/21/2019:svnDellInc.:pnXPS159575:pvr:rvnDellInc.:rn0N338G:rvrA00:cvnDellInc.:ct31:cvr:
dmi.product.family: XPS
dmi.product.name: XPS 15 9575
dmi.product.sku: 080D
dmi.sys.vendor: Dell Inc.

Revision history for this message
Joe Barnett (thejoe) wrote :
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote : Re: [Dell XPS 15 9757] Occasionally fails to suspend and locks up instead

Would it be possible for you to test the latest upstream kernel? Refer
to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest
v5.1-rc3 kernel [0].

If this bug is fixed in the mainline kernel, please add the following
tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag:
'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as
"Confirmed”, and attach dmesg.

Thanks in advance.

[0] https://kernel.ubuntu.com/~kernel-ppa/mainline/v5.1-rc3/

Revision history for this message
Joe Barnett (thejoe) wrote :

trying to boot with the 5.1-rc3 kernel resulted in a black screen that never asked for my encrypted drive password. I could ctrl+alt+delete to reboot back to bios/grub, but could not successfully boot the system.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Have you seen the issue on Bionic kernel (v4.15)?

Revision history for this message
Joe Barnett (thejoe) wrote :

Yes, I've seen it on both bionic and cosmic kernels in addition to disco's

summary: - [Dell XPS 15 9757] Occasionally fails to suspend and locks up instead
+ [Dell XPS 15 9575] Occasionally fails to suspend and locks up instead
Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Please boot with kernel parameter "usbcore.dyndbg=+p", reproduce the issue, and attach kernel log.

Revision history for this message
Joe Barnett (thejoe) wrote :
Download full text (3.2 KiB)

here's the bottom of journalctl -b -1 from a boot with "usbcore.dyndbg=+p" that reproduced the issue (let me know if there's a better way to get the kernel log you're looking for):

Apr 10 17:31:18 taplop systemd-sleep[8074]: Suspending system...
Apr 10 17:31:18 taplop kernel: PM: suspend entry (deep)
Apr 10 17:31:18 taplop kernel: PM: Syncing filesystems ... done.
Apr 10 17:31:20 taplop kernel: Freezing user space processes ... (elapsed 0.004 seconds) done.
Apr 10 17:31:20 taplop kernel: OOM killer disabled.
Apr 10 17:31:20 taplop kernel: Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
Apr 10 17:31:20 taplop kernel: printk: Suspending console(s) (use no_console_suspend to debug)
Apr 10 17:31:20 taplop kernel: usb usb2: usb auto-resume
Apr 10 17:31:20 taplop kernel: hub 2-0:1.0: hub_resume
Apr 10 17:31:20 taplop kernel: hub 2-0:1.0: hub_suspend
Apr 10 17:31:20 taplop kernel: usb usb2: bus suspend, wakeup 0
Apr 10 17:31:20 taplop kernel: usb 1-6: usb suspend, wakeup 1
Apr 10 17:31:20 taplop kernel: hub 1-0:1.0: hub_suspend
Apr 10 17:31:20 taplop kernel: usb usb1: bus suspend, wakeup 0
Apr 10 17:31:20 taplop kernel: pci_pm_suspend(): hcd_pci_suspend+0x0/0x30 returns -16
Apr 10 17:31:20 taplop kernel: dpm_run_callback(): pci_pm_suspend+0x0/0x130 returns -16
Apr 10 17:31:20 taplop kernel: PM: Device 0000:00:14.0 failed to suspend async: error -16
Apr 10 17:31:20 taplop kernel: PM: Some devices failed to suspend, or early wake event detected
Apr 10 17:31:20 taplop kernel: usb usb1: usb resume
Apr 10 17:31:20 taplop kernel: hub 1-0:1.0: hub_resume
Apr 10 17:31:20 taplop kernel: usb usb1-port1: status 0507 change 0000
Apr 10 17:31:20 taplop kernel: usb usb1-port6: status 0103 change 0004
Apr 10 17:31:20 taplop kernel: usb usb1-port10: status 0107 change 0000
Apr 10 17:31:20 taplop kernel: usb usb2: usb resume
Apr 10 17:31:20 taplop kernel: hub 2-0:1.0: hub_resume
Apr 10 17:31:20 taplop kernel: usb 1-6: Waited 0ms for CONNECT
Apr 10 17:31:20 taplop kernel: usb 1-6: finish resume
Apr 10 17:31:20 taplop kernel: ACPI: button: The lid device is not compliant to SW_LID.
Apr 10 17:31:20 taplop kernel: [drm] PCIE GART of 256M enabled (table at 0x000000F400000000).
Apr 10 17:31:20 taplop kernel: usb 1-1: usb resume
Apr 10 17:31:20 taplop kernel: usb 1-10: usb resume
Apr 10 17:31:20 taplop kernel: usb 1-1: Waited 0ms for CONNECT
Apr 10 17:31:20 taplop kernel: usb 1-1: finish resume
Apr 10 17:31:20 taplop kernel: usb 1-10: Waited 0ms for CONNECT
Apr 10 17:31:20 taplop kernel: usb 1-10: finish resume
Apr 10 17:31:20 taplop kernel: [drm] UVD and UVD ENC initialized successfully.
Apr 10 17:31:20 taplop kernel: nvme nvme0: 8/0/0 default/read/poll queues
Apr 10 17:31:20 taplop kernel: [drm] VCE initialized successfully.
Apr 10 17:31:20 taplop kernel: OOM killer enabled.
Apr 10 17:31:20 taplop kernel: Restarting tasks ...
Apr 10 17:31:20 taplop kernel: hub 2-0:1.0: state 7 ports 8 chg 0000 evt 0000
Apr 10 17:31:20 taplop kernel: hub 1-0:1.0: state 7 ports 16 chg 0040 evt 0402
Apr 10 17:31:20 taplop kernel: usb usb1-port6: status 0103, change 0000, 12 Mb/s
Apr 10 17:31:20 taplop kernel: hub 2-0:1.0: hub_suspend
Apr 10 17:31:20 taplop kernel: usb...

Read more...

Revision history for this message
Joe Barnett (thejoe) wrote :
Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

The Bluetooth controller wakes up early when USB Controller is trying to suspend.

Please enable LE privacy before suspend, and see if it helps:
$ btmgmt power off
$ btmgmt privacy on
$ btmgmt power on

Revision history for this message
Joe Barnett (thejoe) wrote :

ok, have added those commands to a /lib/systemd/system-sleep script to have that happen before suspend and will report back if it helps or not.

It appears that with privacy on, my bt mouse doesn't connect anymore, is that expected?

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Is gnome-bluetooth up-to-date? See LP: #1822533.

Revision history for this message
Joe Barnett (thejoe) wrote :

yes, all packages are up to date, and specifically the gnome-bluetooth package at 3.32.1-1 since april 3rd.

Revision history for this message
Joe Barnett (thejoe) wrote :

Saw same thing with the btmgr commands added to system-sleep script, attaching kernel log from that boot

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :
Revision history for this message
Joe Barnett (thejoe) wrote :

linux-modules-extra package looks corrupt:

(Reading database ... 367458 files and directories currently installed.)
Preparing to unpack linux-modules-extra-5.0.0-11-generic_5.0.0-11.12~lp1823029_amd64.deb ...
Unpacking linux-modules-extra-5.0.0-11-generic (5.0.0-11.12~lp1823029) ...
dpkg-deb (subprocess): cannot copy archive member from 'linux-modules-extra-5.0.0-11-generic_5.0.0-11.12~lp1823029_amd64.deb' to decompressor pipe: unexpected end of file or stream
dpkg-deb (subprocess): decompressing archive member: lzma error: unexpected end of input
dpkg-deb: error: <decompress> subprocess returned error exit status 2
dpkg: error processing archive linux-modules-extra-5.0.0-11-generic_5.0.0-11.12~lp1823029_amd64.deb (--install):
 cannot copy extracted data for './lib/modules/5.0.0-11-generic/kernel/drivers/net/wireless/marvell/mwifiex/mwifiex.ko' to '/lib/modules/5.0.0-11-generic/kernel/drivers/net/wireless/marvell/mwifiex/mwifiex.ko.dpkg-new': unexpected end of file or stream
Errors were encountered while processing:
 linux-modules-extra-5.0.0-11-generic_5.0.0-11.12~lp1823029_amd64.deb

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Re-copied the files. Please try again.

Revision history for this message
Joe Barnett (thejoe) wrote :

initial tests are looking good (4 successful suspends & resumes during this boot so far). Will keep testing and report back.

Revision history for this message
Joe Barnett (thejoe) wrote :

still looking good after several more sleep cycles today

Revision history for this message
Joe Barnett (thejoe) wrote :

Had another failure with similar symptoms (fan on, screen black once laptop lid opened), but logs look different this time.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

The may seem to the same, but do the symptoms occur at different time? The original issue happens at suspending, while #20 occurs at resuming?

Revision history for this message
Joe Barnett (thejoe) wrote :

From reading the logs that's what it looks like -- it appears the lid was closed at 21:48:40 and then suspend was successful at 21:49:10 or 21:49:25, but then the system immediately resumes at 21:49:25, and doesn't fully recover

Revision history for this message
Joe Barnett (thejoe) wrote :

(but unlike the on-suspend lockup, the journal continues to accumulate some entries -- possible the system wasn't fully locked up but the display was?)

Revision history for this message
Joe Barnett (thejoe) wrote :

Either way, whatever fix is in the https://people.canonical.com/~khfeng/lp1823029/ kernel is very effective if not perfect -- can it be put into the main repo kernels or will I need to keep kernel packages held for a while?

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :
Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Yes, please use my custom built kernel in the interim.

Revision history for this message
Jan Steffens (heftig) wrote :

What did you change? I have a colleague with the same device but a different distribution, so I'm interested in reproducing the fix with another kernel.

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

Comment #25?

And V2 here: https://lkml.org/lkml/2019/4/30/213

Revision history for this message
Joe Barnett (thejoe) wrote :

looks like no responses to v2, anything I can do to help move this along? could it at least make it into an updated kernel build with security patches, if not the ubuntu patch set?

Revision history for this message
Joe Barnett (thejoe) wrote :
Download full text (4.1 KiB)

fwiw, i tried to build 5.0.0.20.21 with v2 applied, and was able to reproduce the bug (I may have built it incorrectly though? I git applied the two patches from a clone of git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux/+git/disco and then did `fakeroot debian/rules clean` ; `AUTOBUILD=1 fakeroot debian/rules binary-debs` and installed the resulting packages)

tail of journalctl during reproduction:
Jul 04 21:48:54 taplop systemd-sleep[11530]: Suspending system...
Jul 04 21:48:54 taplop kernel: PM: suspend entry (deep)
Jul 04 21:48:58 taplop kernel: PM: Syncing filesystems ... done.
Jul 04 21:48:58 taplop kernel: Freezing user space processes ... (elapsed 0.003 seconds) done.
Jul 04 21:48:58 taplop kernel: OOM killer disabled.
Jul 04 21:48:58 taplop kernel: Freezing remaining freezable tasks ... (elapsed 0.001 seconds) done.
Jul 04 21:48:58 taplop kernel: printk: Suspending console(s) (use no_console_suspend to debug)
Jul 04 21:48:58 taplop kernel: usb usb2: usb auto-resume
Jul 04 21:48:58 taplop kernel: hub 2-0:1.0: hub_resume
Jul 04 21:48:58 taplop kernel: usb usb1: usb auto-resume
Jul 04 21:48:58 taplop kernel: hub 1-0:1.0: hub_resume
Jul 04 21:48:58 taplop kernel: usb usb1-port1: status 0507 change 0000
Jul 04 21:48:58 taplop kernel: usb usb1-port6: status 0107 change 0000
Jul 04 21:48:58 taplop kernel: usb usb1-port10: status 0107 change 0000
Jul 04 21:48:58 taplop kernel: hub 1-0:1.0: hub_suspend
Jul 04 21:48:58 taplop kernel: usb usb1: bus suspend, wakeup 0
Jul 04 21:48:58 taplop kernel: hub 2-0:1.0: hub_suspend
Jul 04 21:48:58 taplop kernel: usb usb2: bus suspend, wakeup 0
Jul 04 21:48:58 taplop kernel: PM: Some devices failed to suspend, or early wake event detected
Jul 04 21:48:58 taplop kernel: usb usb1: usb resume
Jul 04 21:48:58 taplop kernel: hub 1-0:1.0: hub_resume
Jul 04 21:48:58 taplop kernel: usb usb1-port1: status 0507 change 0000
Jul 04 21:48:58 taplop kernel: usb usb1-port6: status 0107 change 0000
Jul 04 21:48:58 taplop kernel: usb usb1-port10: status 0107 change 0000
Jul 04 21:48:58 taplop kernel: usb usb2: usb resume
Jul 04 21:48:58 taplop kernel: hub 2-0:1.0: hub_resume
Jul 04 21:48:58 taplop kernel: ACPI: button: The lid device is not compliant to SW_LID.
Jul 04 21:48:58 taplop kernel: [drm] PCIE GART of 256M enabled (table at 0x000000F400000000).
Jul 04 21:48:58 taplop kernel: usb 1-1: usb resume
Jul 04 21:48:58 taplop kernel: usb 1-10: usb resume
Jul 04 21:48:58 taplop kernel: usb 1-6: usb resume
Jul 04 21:48:58 taplop kernel: [drm] UVD and UVD ENC initialized successfully.
Jul 04 21:48:58 taplop kernel: usb 1-10: Waited 0ms for CONNECT
Jul 04 21:48:58 taplop kernel: usb 1-10: finish resume
Jul 04 21:48:58 taplop kernel: usb 1-6: Waited 0ms for CONNECT
Jul 04 21:48:58 taplop kernel: usb 1-6: finish resume
Jul 04 21:48:58 taplop kernel: usb 1-1: Waited 0ms for CONNECT
Jul 04 21:48:58 taplop kernel: usb 1-1: finish resume
Jul 04 21:48:58 taplop kernel: [drm] VCE initialized successfully.
Jul 04 21:48:58 taplop kernel: nvme nvme0: 8/0/0 default/read/poll queues
Jul 04 21:48:58 taplop kernel: amdgpu 0000:01:00.0: [drm:amdgpu_ib_ring_tests [amdgpu]] *ERROR* IB test f
Jul 04 21:48:58 taplop kernel: amdgpu 0...

Read more...

Revision history for this message
Kai-Heng Feng (kaihengfeng) wrote :

I don't see this:
pci_pm_suspend(): hcd_pci_suspend+0x0/0x30 returns -16
Which is in the previous log.

To build a kernel, I use `fakeroot debian/rules clean binary-headers binary-generic`.

Revision history for this message
Joe Barnett (thejoe) wrote :

ok thanks, my 2nd attempt at patching 5.0.0.20.21 with v2 appears to be working as well as your older build.

Revision history for this message
Joe Barnett (thejoe) wrote :

any chance we can see this in an ubuntu kernel despite the lack of response on lkml?

Revision history for this message
Mario Limonciello (superm1) wrote :
Revision history for this message
Joe Barnett (thejoe) wrote :

fwiw, with a 5.3 kernel on eoan and a system-sleep script that does `btmgmt power off` pre sleep, and `btmgmt power on` post sleep, I haven't been seeing the lock up issue.

just an occasional instant wake from suspend with the system usable after that, and able to successfully suspend with another attempt.

`PM: Some devices failed to suspend, or early wake event detected` in the logs when the instant wake happens.

To post a comment you must log in.